import React, { Component } from 'react';
import '../content.less';
import LeftTab from './leftTab';


class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: <div></div>,
        };
    }
    componentWillMount() {
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
            this.getKey("myOrganization");
        };
    }
    getKey(key) {
        switch (key) {          	
            case 'myOrganization':
                require.ensure([], () => {
                    const MyClient = require('./customerData/myClient').default;
                    this.setState({
                        component: <MyClient />                      
                      
                    });
                });
                break;           
           
            case 'organizationQuery':
                require.ensure([], () => {
	                const CompanyCustomer = require('./customerData/companyCustomer').default;
	                this.setState({
	                    component:<CompanyCustomer />,	                    	                  
	                });
          	    });
          	    break;
          	case 'myPersonal':
                require.ensure([], () => {
                    const IndividualCustomer = require('./individualCustomer/individualCustomer').default;
                    this.setState({
                        component: <IndividualCustomer />                      
                      
                    });
                });
                break;          
            case 'personalQuery':
                require.ensure([], () => {
	                const QueryCustomer = require('./individualCustomer/queryCustomer').default;
	                this.setState({
	                    component:<QueryCustomer />,	                    	                  
	                });
          	    });
          	    break;
          	    
      	    case 'myBusiness':
            require.ensure([], () => {
                const MyBusiness = require('./customerService/myBusiness').default;
                this.setState({
                    component:<MyBusiness />,	                                      
                });
      	    });
      	    break;
      	    case 'businessQuery':
            require.ensure([], () => {
                const ServiceQuery = require('./customerService/serviceQuery').default;
                this.setState({
                    component:<ServiceQuery />,	                                      
                });
      	    });
      	    break;
      	    case 'visitStatistics':
            require.ensure([], () => {
                const VisitStatistics = require('./statistics/visitStatistics').default;
                this.setState({
                    component:<VisitStatistics />,	                                      
                });
      	    });
      	    break;
      	    case 'statusStatistics':
            require.ensure([], () => {
                const StatusStatistics = require('./statistics/statusStatistics').default;
                this.setState({
                    component:<StatusStatistics />,	                                      
                });
      	    });
      	    break;
      	    case 'followStatistics':
            require.ensure([], () => {
                const FollowStatistics = require('./statistics/followStatistics').default;
                this.setState({
                    component:<FollowStatistics />,	                                      
                });
      	    });
      	    break;
      	    
      	    //新增空白    
      	    //我的客户
            case 'myInvestment': //我的投资机构
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'myExpert': //我的专家
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'myConsultant': //我的咨询师
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break; 
              //客户查询  
            case 'investmentQuery': //投资机构查询
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'expertQuery': //专家查询
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'consultantQuery': //咨询师查询
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
              //客户管理  
            case 'organizationManage': //单位客户管理
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'personalManage': //个人客户管理
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'investmentManage': //投资机构管理
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'expertManage': //专家管理
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'consultantManage': //咨询师管理
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break; 
            //客户审核
            case 'identityAudit': //实名认证审核
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'expertAudit': //专家申请审核
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'memberAudit': //会员申请审核
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break; 
            //客户发布
            case 'investmentPublish': //投资机构发布
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'expertPublish': //专家发布
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            case 'consultantPublish': //咨询师发布
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break; 
            //客户业务
            case 'businessManage': //业务管理
                require.ensure([], () => {
                    const Module = require('../module').default;
                    this.setState({
                        component: <Module />,
                    });
                });
                break;
            
        };
        
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                   {this.state.component}
                </div>
            </div>
        )
    }
}

export default Content;
