import React, { Component } from 'react';
import '../content.less';
import './content.less';
import LeftTab from './leftTab';

class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: <div />,
        };
    }
    componentWillMount() {
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
            this.getKey('organization');
        };
    }
    getKey(key) {
        switch (key) {
      	    case 'organization':
            require.ensure([], () => {
                const Organization = require('./organization/organization').default;
                this.setState({
                    component:<Organization />,	                                      
                });
      	    });
      	    break;
      	    case 'businessCategory':
            require.ensure([], () => {
                const BusinessCategory = require('./business/businessCategory').default;
                this.setState({
                    component:<BusinessCategory />	    
                	});
                });
                break; 
            case 'businessProject':
            require.ensure([], () => {
                const BusinessProject = require('./business/businessProject').default;
                this.setState({
                    component:<BusinessProject />	    
                	});
                });
            break; 
            case 'businessQuery':
            require.ensure([], () => {
                const Module = require('../module').default;
                this.setState({
                    component:<Module />	    
                	});
                });
            break; 
            case 'user':
                require.ensure([], () => {
                    const User = require('./userManagementS/user').default;
                    this.setState({
                        component: <User />                      
                    });
                });
                break;           
           
            case 'roles':
                require.ensure([], () => {
	                const Roles = require('./userManagementS/roles').default;
	                this.setState({
	                    component:<Roles />,	                    	                  
	                });
          	    });
          	    break;
          	case 'permission':
                require.ensure([], () => {
                    const Jurisdiction = require('./userManagementS/jurisdiction').default;
                    this.setState({
                        component: <Jurisdiction />                      
                    });
                });
                break;
            case 'systemMessage':
            require.ensure([], () => {
                const SystemMessage = require('./messagePush/systemMessage').default;
                this.setState({
                    component: <SystemMessage />                      
                });
            });
            break;  
            case 'remindMessage':
            require.ensure([], () => {
                const RemindMessage = require('./messagePush/remindMessage').default;
                this.setState({
                    component: <RemindMessage />                      
                });
            });
            break;  
            case 'jitaoMessage':
            require.ensure([], () => {
                const JitaoMessage = require('./messagePush/jitaoMessage').default;
                this.setState({
                    component: <JitaoMessage />                      
                });
            });
            break;  
            case 'butlerMessage':
            require.ensure([], () => {
                const ButlerMessage = require('./messagePush/butlerMessage').default;
                this.setState({
                    component: <ButlerMessage />                      
                });
            });
            break;  
        };
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                    {this.state.component}
                </div>
            </div>
        )
    }
}

export default Content;
